Page MenuHomePhabricator

debugdiscovery: add some data about the shapes of the sets
ClosedPublic

Authored by marmoute on Dec 6 2020, 8:46 AM.

Details

Summary

We display the number of heads and roots or the common and missing set.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Dec 6 2020, 8:46 AM
pulkit accepted this revision.Dec 7 2020, 3:55 AM
This revision is now accepted and ready to land.Dec 7 2020, 3:55 AM
pulkit requested changes to this revision.Dec 7 2020, 4:34 AM

test-setdiscovery.t fails with following output change:

--- /home/pulkitg/repo/hgpush/tests/test-setdiscovery.t
+++ /home/pulkitg/repo/hgpush/tests/test-setdiscovery.t.err
@@ -57,7 +57,11 @@
       unknown:                   2
   local changesets:              7
     common:                      7
+      heads:                     2
+      roots:                     1
     missing:                     0
+      heads:                     0
+      roots:                     0
   common heads: 01241442b3c2 b5714e113bc0

   % -- a -> b set
@@ -79,7 +83,11 @@
       unknown:                   2
   local changesets:              7
     common:                      7
+      heads:                     2
+      roots:                     1
     missing:                     0
+      heads:                     0
+      roots:                     0
   common heads: 01241442b3c2 b5714e113bc0

   % -- a -> b set (tip only)
@@ -101,7 +109,11 @@
       unknown:                   3
   local changesets:              7
     common:                      6
+      heads:                     1
+      roots:                     1
     missing:                     1
+      heads:                     1
+      roots:                     1
   common heads: b5714e113bc0

   % -- b -> a tree
@@ -122,7 +134,11 @@
       unknown:                   0
   local changesets:             15
     common:                      7
+      heads:                     2
+      roots:                     1
     missing:                     8
+      heads:                     2
+      roots:                     2
   common heads: 01241442b3c2 b5714e113bc0

   % -- b -> a set
@@ -144,7 +160,11 @@
       unknown:                   0
   local changesets:             15
     common:                      7
+      heads:                     2
+      roots:                     1
     missing:                     8
+      heads:                     2
+      roots:                     2
   common heads: 01241442b3c2 b5714e113bc0

   % -- b -> a set (tip only)
@@ -166,7 +186,11 @@
       unknown:                   0
   local changesets:             15
     common:                      7
+      heads:                     2
+      roots:                     1
     missing:                     8
+      heads:                     2
+      roots:                     2
   common heads: 01241442b3c2 b5714e113bc0


@@ -194,7 +218,11 @@
       unknown:                   1
   local changesets:             35
     common:                      5
-    missing:                    30
+      heads:                     1
+      roots:                     1
+    missing:                    30
+      heads:                     1
+      roots:                     1
   common heads: bebd167eb94d

   % -- a -> b set
@@ -219,7 +247,11 @@
       unknown:                   1
   local changesets:             35
     common:                      5
-    missing:                    30
+      heads:                     1
+      roots:                     1
+    missing:                    30
+      heads:                     1
+      roots:                     1
   common heads: bebd167eb94d

   % -- a -> b set (tip only)
@@ -244,7 +276,11 @@
       unknown:                   1
   local changesets:             35
     common:                      2
+      heads:                     1
+      roots:                     1
     missing:                    33
+      heads:                     2
+      roots:                     2
   common heads: 66f7d451a68b

   % -- b -> a tree
@@ -265,7 +301,11 @@
       unknown:                   1
   local changesets:              8
     common:                      5
+      heads:                     1
+      roots:                     1
     missing:                     3
+      heads:                     1
+      roots:                     1
   common heads: bebd167eb94d

   % -- b -> a set
@@ -290,7 +330,11 @@
       unknown:                   1
   local changesets:              8
     common:                      5
+      heads:                     1
+      roots:                     1
     missing:                     3
+      heads:                     1
+      roots:                     1
   common heads: bebd167eb94d

   % -- b -> a set (tip only)
@@ -315,7 +359,11 @@
       unknown:                   1
   local changesets:              8
     common:                      5
+      heads:                     1
+      roots:                     1
     missing:                     3
+      heads:                     1
+      roots:                     1
   common heads: bebd167eb94d

 Both sides many new with stub:
@@ -342,7 +390,11 @@
       unknown:                   1
   local changesets:             34
     common:                      4
-    missing:                    30
+      heads:                     1
+      roots:                     1
+    missing:                    30
+      heads:                     1
+      roots:                     1
   common heads: 2dc09a01254d

   % -- a -> b set
@@ -367,7 +419,11 @@
       unknown:                   1
   local changesets:             34
     common:                      4
-    missing:                    30
+      heads:                     1
+      roots:                     1
+    missing:                    30
+      heads:                     1
+      roots:                     1
   common heads: 2dc09a01254d

   % -- a -> b set (tip only)
@@ -392,7 +448,11 @@
       unknown:                   1
   local changesets:             34
     common:                      2
+      heads:                     1
+      roots:                     1
     missing:                    32
+      heads:                     2
+      roots:                     2
   common heads: 66f7d451a68b

   % -- b -> a tree
@@ -413,7 +473,11 @@
       unknown:                   1
   local changesets:             34
     common:                      4
-    missing:                    30
+      heads:                     1
+      roots:                     1
+    missing:                    30
+      heads:                     1
+      roots:                     1
   common heads: 2dc09a01254d

   % -- b -> a set
@@ -438,7 +502,11 @@
       unknown:                   1
   local changesets:             34
     common:                      4
-    missing:                    30
+      heads:                     1
+      roots:                     1
+    missing:                    30
+      heads:                     1
+      roots:                     1
   common heads: 2dc09a01254d

   % -- b -> a set (tip only)
This revision now requires changes to proceed.Dec 7 2020, 4:34 AM

Looks like I forgot to amend… new version coming shortly

baymax updated this revision to Diff 24078.Dec 7 2020, 9:11 AM
baymax updated this revision to Diff 24092.Dec 7 2020, 4:50 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

pulkit accepted this revision.Dec 8 2020, 2:08 AM
This revision is now accepted and ready to land.Dec 8 2020, 2:08 AM